#include <string>
#include <map>
#include <set>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;

#ifdef _DEBUG
#include <iostream>
//ifstream cin("input.txt");
//ofstream cout("output.txt");
#else
#include <iostream>
//ifstream cin("video.in");
//ofstream cout("video.out");
#endif

int x;
int a[3000];

int main() {
	cin >> x;
	a[0] = 1;
	cout << "? " << 1 << ' ' << x << endl;
	cout.flush();
	int ans = 0;
	cin >> ans;
	for (int i = 1; i < x; i++) {
		int res = 0;
		cout << "? " << i << ' ' << i + 1 << endl;
		cout.flush();
		cin >> res;
		if (res == 0)
			a[i] = a[i - 1];
		else
			a[i] = a[i - 1] == 1 ? 2 : 1;
	}
	cout << "Ready!" << endl;
	cout.flush();
	cout << ans << endl;
	cout.flush();
	for (int i = 0; i < x; i++)
		cout << a[i] << ' ';
	cout.flush();
#ifdef _DEBUG
	system("pause");
#endif
}